body {
    color: rgb(123, 138, 184) !important;
    background-color: var(--bg-color-neuro) !important;
}

:root {
    --bg-color-neuro: #e8ecf2;
    --bg-light-neuro: #fbffff;
    --bg-shadows-neuro: #c5c9ce;
    --box-shadow-neuro: 10px 10px 10px var(--bg-shadows-neuro), -10px -10px 10px var(--bg-light-neuro);
    --box-shadow-neuro-sm: 5px 5px 5px var(--bg-shadows-neuro), -5px -5px 5px var(--bg-light-neuro);
    --box-shadow-reverse: inset 10px 10px 10px var(--bg-shadows-neuro), inset -10px -10px 10px var(--bg-light-neuro);
}

/*.btn-group {
    background-color: var(--bg-color-neuro) !important;
    box-shadow: var(--box-shadow-neuro)!important;
}*/
.k-window {
    width: 60% !important;
}

.k-widget.k-window.k-dialog {
    width: 40% !important;
}

.alert-dismissible .btn-close {
    top: 50%;
}

.alert-dismissible{
    text-align:start;
    padding: 1rem 1rem;
    padding-left:4em;
}

.just-validate-error-label {
    text-align: start;
    
}

.just-validate-error-field {
    background: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23f73e5a' viewBox='0 0 384 512'%3E%3Cpath d='M231.6 256l130.1-130.1c4.7-4.7 4.7-12.3 0-17l-22.6-22.6c-4.7-4.7-12.3-4.7-17 0L192 216.4 61.9 86.3c-4.7-4.7-12.3-4.7-17 0l-22.6 22.6c-4.7 4.7-4.7 12.3 0 17L152.4 256 22.3 386.1c-4.7 4.7-4.7 12.3 0 17l22.6 22.6c4.7 4.7 12.3 4.7 17 0L192 295.6l130.1 130.1c4.7 4.7 12.3 4.7 17 0l22.6-22.6c4.7-4.7 4.7-12.3 0-17L231.6 256z'/%3E%3C/svg%3E");
    background-color: rgba(255, 204, 215, 0.3 );
}
    .just-validate-error-field,
    .just-validate-error-field:focus {
        background-color:rgba(255, 204, 215, 0.3 );
        
    }


select.just-validate-success-field {
    background-attachment: local ;
    background-clip: padding-box ;
    background-origin : padding-box ;
    background-position-x : 100% ;
    background-position-y: 50% ;
    background-repeat : no-repeat ;
    background-size : 70px 45%;
}
select.just-validate-error-field {
    background-attachment: local ;
    background-clip: padding-box ;
    background-origin : padding-box ;
    background-position-x : 100% ;
    background-position-y: 50% ;
    background-repeat : no-repeat ;
    background-size : 70px 45%;
}

@media (min-width: 992px) {
    .steppers .steppers-nav button:not(.steppers-btn-save):not(.steppers-btn-confirm) {
        
        background: rgba(0,0,0,0);
        color: #06c;
        box-shadow: none;
        padding-left: 0;
        padding-right: 0;
        width:20%;
    }

    .steppers .steppers-nav {
        display: flex;
        height: 64px;
        padding: 0 24px;
        box-shadow: 0 -8px 20px rgba(0,0,0,.2);
        background: #fff;
        align-items: center;
        justify-content: space-between;
    }

    .steppers .steppers-header {
        display: flex;
        padding-left:0;
        height: 64px;
        box-shadow: 0 20px 20px rgba(0,0,0,.2);
        background: #fff;
        align-items: center;
        justify-content: space-between;
    }

}
@media (max-width: 991px) {
    .steppers-btn-next {
        padding-left: 20px !important;
    }
    .steppers-btn-prev {
        padding-right: 20px !important;
    }
}

@media (min-width: 992px){

    .steppers .steppers-header li .steppers-number {
        display: inline-block;
        width: 1.778rem;
        height: 1.778rem;
        border: 1px solid #dfe4f2;
        border-radius: 50%;
        text-align: center;
        margin-right: .667rem;
    }
   
    .steppers-number{
        top:50%;
    }

    .steppers .steppers-header li .steppers-number {
         display: inline-block; 
         width: 1.778rem; 
         height: 1.778rem; 
         border: 1px solid #dfe4f2; 
        border-radius: 50%;
         text-align: center; 
         margin-right: .667rem; 
    }
} 

.send-none{
    display:none !important;
}

.k-edit-form-container {
    width: 100% !important;
}

.k-actions-end {
    justify-content: center !important;
}

.fa-xs{
    font-size:20px !important;
}

p, ul, ol, dl {
    line-height: 1.5rem;
}
.steppers .steppers-header li .steppers-success use{
    box-sizing: content-box !important;
}
.steppers .steppers-header li .steppers-success {
    box-sizing: content-box !important;
}

.form-check [type=checkbox] + label, .form-check [type=radio] + label {
    display:block;
}

div.form-group input[type="file"] + label {
    
    transform: none;
}

.blurred-img {
    filter: blur(5px);
    -webkit-filter: blur(5px);
}

.modal-header{
    padding-bottom: 24px !important;
}

.modal-footer button {
    padding: 12px 24px;
    border-top-width: 2px;
    border-right-width: 1px;
    border-bottom-width: 2px;
    border-left-width: 1px;
     --bs-btn-border-color: white;


}

.callout{
    max-width:100%;
}

.accordion-button:not(.collapsed)::after {
    background-image: none;
}

/*----------------Gestione MetroMap--------------------*/

.hori-timeline .events {
    border-top: 3px solid #e9ecef;
    display:flex;
    align-items:stretch;
}

.hori-timeline .events .event-list {
    display: block;
    position: relative;
    text-align: center;
    padding-top: 70px;
    margin-right: 0;
}

    .hori-timeline .events .event-list:before {
        content: "";
        position: absolute;
        height: 36px;
        border-right: 2px dashed #dee2e6;
        top: 0;
    }

    .hori-timeline .events .event-list .event-date {
        position: absolute;
        top: 38px;
        left: 0;
        right: 0;
        width: 40px;
        margin: 0 auto;
        border-radius: 100px;
        padding: 6px 4px;
    }

@media (min-width: 1140px) {
    .hori-timeline .events .event-list {
        display: inline-block;
        width: 24%;
        padding-top: 45px;
    }

        .hori-timeline .events .event-list .event-date {
            top: -12px;
        }
}

.bg-soft-primary {
    background-color: rgba(64,144,203,.3) !important;
}

.bg-soft-success {
    background-color: rgba(71,189,154,.3) !important;
}

.bg-soft-danger {
    background-color: rgba(231,76,94,.3) !important;
}

.bg-soft-warning {
    background-color: rgba(249,213,112,.3) !important;
}

.card {
    border: none;
    margin-bottom: 24px;
    -webkit-box-shadow: 0 0 13px 0 rgba(236,236,241,.44);
    box-shadow: 0 0 13px 0 rgba(175,175,175,.94);
}
.list-inline-item .event-list a{
    color:white;
}

.fileBtn {
    width: 60px;
    height: 60px;
    display: block;
    border-radius: 100px;
    transition: box-shadow 0.3s;
}

.fileBtn div {
    display: flex;
    width: 60px;
    height: 60px;
    align-items: center;
    justify-content: center;
    border-radius: 100px;
    
}

.fileBtn:has(:hover) {
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
    transition: box-shadow 0.1s;
}


.fileBtn i{
    width: 100%;
}

.file-column{
    display:flex;
    justify-content:center;
    margin-top:30px;
}

.VCError {
    border-left: 5px solid #90040b;
    background-color: #ffccd790;
    height: 50px;
    display: flex;
    justify-content: start;
    align-items: center;
    transition: 0.2s;
    
}

    .VCError .fa-regular.fa-circle-xmark {
        color: #90040b;
        margin-left: 20px;
        margin-right: 20px;
        transition: inherit;
        font-size: 30px;
        font-weight:100;
    }

    .VCError p {
        margin-right: 30px;
        margin-bottom: 0;
        color: #660017;
        transition: inherit;
        font-size: 15px;
    }

    .VCError span{
        max-width: 10%;
    }

.downloadBTN {
    width: 53px;
    height: 53px;
    margin-left: 10px;
    margin-right: 10px;
    color: white;
}


.icons-control-col{
    display:flex;
    justify-content:flex-end;
    height:106px;
}

.icons-control-col i{
    margin-top:40px;
    padding-right:10px;
}

.icons-control-row {
    justify-content:space-evenly
}



#divAutorizzazione.FileDisabled > label {
    background-color: #e9ecef;
}

#divDichiarazioneResponsabilita.FileDisabled > label {
    background-color: #e9ecef;
}

.parallax {
    min-height: 100vh;
    /* Create the parallax scrolling effect */
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.card-gradient {
    
}
.gradient1 {
    --gradientStart: rgba(0,56,123,1);
    --gradientEnd: rgba(188,78,151,1);
    background: linear-gradient(135deg, var(--gradientStart), var(--gradientEnd)) !important;
}
.gradient2 {
    --gradientStart: rgba(74, 19, 2, 1);
    --gradientEnd: rgba(255, 141, 43, 1);
    background: linear-gradient(135deg, var(--gradientStart), var(--gradientEnd)) !important;
}
.gradient3 {
    --gradientStart: rgba(0, 56, 123, 1);
    --gradientEnd: rgba(13, 144, 97, 1);
    background: linear-gradient(135deg, var(--gradientStart), var(--gradientEnd)) !important;
}
.gradient4 {
    --gradientStart: rgba(15, 96, 2, 1);
    --gradientEnd: rgba(193, 209, 90, 1);
    background: linear-gradient(135deg, var(--gradientStart), var(--gradientEnd)) !important;
}

.card-gradient .card-title,
.card-gradient .card-text {
    color:white !important;
}

.card-gradient .read-more {
    background-color: white !important;
    padding: 6px 10%;
    border-radius: 0.375rem;
}

.home-hero-wrapper{
    min-height:400px !important;
}

.layout-Container {
    min-height: calc(100vh - 150px) !important;
}

.upload[type=file] + label {
    max-width: 100%;
}

.downloadBTN:disabled {
    background-color: lightgrey;
    border-block-color: grey
}

.it-header-center-wrapper {
    background-color:  rgb(217, 227, 241);
    background-position-y: 40%;
    background-position-x: 0%;
    background-size: cover;
}
    

.it-header-center-content-wrapper {
    position: relative;  
}
.breadcrumb {
    background-image: url(https://web.assolombarda.it/resource/1713370941000/Identity_AIL_Assets/assets/img/bg_form.jpeg) !important;
    background-position-y: 40% !important;
    background-position-x: 10% !important;
    background-color: rgba(0, 68, 137, 0.8) !important;
    background-size: cover;
}
    .breadcrumb:before {
        content: "";
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        background-color: #435a70c9;
        z-index: 0;
        max-height:40px;
    }

.breadcrumb-container{
    background:none;
}
.breadcrumb-item {
    position: relative;  
}

.toast-success {
    background-color: rgba(71,189,154,.95) !important;
}

    .toast-success .icon {
        fill: #008055;
    }

.toast-warning {
    background-color: rgb(184, 151, 49, .95) !important;
}

    .toast-warning .icon {
        fill: #995c00;
    }

.toast-info {
    background-color: rgba(64,144,203,.95) !important;
}

    .toast-info .icon {
        fill: #06c;
    }

.toast-error {
    background-color: rgba(231,76,94,.95) !important;
}

    .toast-error .icon {
        fill: #cc334d;
    }

    .toast-body{
        color:white;
    }

#FiliereCandidato{
    width:100%;
}



.glass-col {
    background: rgba(228, 51, 45, 0.08);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(8.8px);
    -webkit-backdrop-filter: blur(8.8px);
}

.btn.round-button {
    padding: 0.2rem 1rem;
    font-size: 25px
}



    footer .container{
        padding-top:10px;
        position:relative;
        height:45px;
    }

.it-header-center-wrapper .it-header-center-content-wrapper .it-brand-wrapper a {
    color:rgb(72, 87, 133);
}

.logo-img {
    width: 150%;
}

a{
    text-decoration:none !important;
}

/*.btn-search:hover{
    padding-right:10%;
    transition: padding-right ease-in 1s
}*/

nav.navbar-atlante {
    width: 80%;
}

.btn-group{
    z-index:2;
}

.btn-navbar {
    z-index: 1;
    width: auto; /* Default width for screens larger than md */
    transition: width 0.5s ease;
    overflow: hidden;
    white-space: nowrap;
    padding-left: 10px; /* Space between icon and button edge */
}

/* Media query for screens smaller than md (e.g., < 768px) */
@media (max-width: 1100px) {
    .btn-navbar {
        width: 70px; /* Fixed width for small screens */
    }

        .btn-navbar .navbar-text {
            margin-left: 15px;
            opacity: 0 !important;
            transition: opacity 0.3s ease;
            display: inline-block;
        }
}

    .btn-navbar .navbar-text {
        margin-left: 15px;
        opacity: 1;
        transition: opacity 0.3s ease;
        display: inline-block;
    }

.nav-item:hover .btn-navbar {
    width: auto !important; /* Expanded width */
    transition: width 0.5s ease;
}

.nav-item:hover .navbar-text {
    opacity: 1;
    transition: opacity 0.3s ease;
}

.neuro {
    border-radius: 15px;
    background: var(--bg-color-neuro);
    box-shadow: var(--box-shadow-neuro);
}
.reverse-neuro {
    border-radius: 15px;
    background: var(--bg-color-neuro);
    box-shadow: var(--box-shadow-reverse);
}

#container1 {
    overflow: visible;
}

body {
    display: flex;
    flex-direction: column;
    height: 100vh !important;
}

main {
    flex: 1;
    padding: 0 20px;
}

.search-form {
    margin: 0 1rem;
}

span.k-picker, span.k-input {
    display: inline-flex;
}

.column-flex {
    flex-grow: 1;
}

.search-container {
    width: 100%;
    height: 100%;
    margin-left: 10px;
    min-width: 360px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-height: calc(100vh - 78px - 53px);
    overflow-y: auto;
}

.k-widget.k-window {
    background-color: rgb(232, 236, 242);
}

.grid-container {
    width: 90%;
    margin-left: 5%;
    margin-right: 5%;
    display: flex;
    flex-direction: column;
    justify-content: start;
}

.form-control-sm {
    padding: 0 0 !important;
}

.grid-container .k-grid-content {
    overflow-y: auto;
}

/*Scrollbar------------------------------------------------*/

::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

/* Track */
::-webkit-scrollbar-track {
    border-radius: 20px;
    background: var(--bg-color-neuro);
    box-shadow: var(--box-shadow-reverse);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: rgb(123, 138, 184);
    border-radius: 10px;
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: rgb(93, 103, 135);
    }

/*LOADER-----------*/
.overlay {
    display: none; /* Nascondi l'overlay inizialmente */
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7); /* Sfondo semi-trasparente */
    z-index: 11000; /* Assicurati che sia sopra tutto il contenuto */
    justify-content: center; /* Centra il contenuto in orizzontale */
    align-items: center; /* Centra il contenuto in verticale */
}

.loader {
    width: 80px;
    aspect-ratio: 1;
    border: 10px solid #0000;
    padding: 5px;
    box-sizing: border-box;
    background: radial-gradient(farthest-side,#fff 98%,#0000 ) 0 0/20px 20px no-repeat, conic-gradient(from 90deg at 10px 10px,#0000 90deg,#fff 0) content-box, conic-gradient(from -90deg at 40px 40px,#0000 90deg,#fff 0) content-box, #000;
    filter: blur(4px) contrast(10);
    animation: l11 2s infinite;
}

@keyframes l11 {
    0% {
        background-position: 0 0
    }

    25% {
        background-position: 100% 0
    }

    50% {
        background-position: 100% 100%
    }

    75% {
        background-position: 0% 100%
    }

    100% {
        background-position: 0% 0
    }
}

/*--------------------------------------------*/
.btn.floating-be{
    position: absolute;
    bottom:2vh;
    right:15vh;
    z-index:1000;
}

.import-nav .btn-group {
    z-index: 2;
}

 .import-btn {
    z-index: 1;
    width: 70px; /* Default width for screens larger than md */
    transition: width 0.5s ease;
    overflow: hidden;
    white-space: nowrap;
    padding-left: 10px; /* Space between icon and button edge */
  }



     .import-btn .navbar-text {
        margin-left: 15px;
        opacity: 0;
        transition: opacity 0.3s ease;
        display: inline-block;
    }

.nav-item:hover .import-btn {
    width: auto !important; /* Expanded width */
    transition: width 0.5s ease;
}

.nav-item:hover .navbar-text {
    opacity: 1;
    transition: opacity 0.3s ease;
}

.k-error-row {
    background-color: #ff000021 !important; /* Colore rosso per le righe con errore */
}
.k-alt.k-error-row {
    background-color: #ff000011 !important; /* Colore rosso per le righe con errore */
}

.editor-template label{
    font-weight:bold;
}

.k-widget.k-upload {
    border-radius: 20px;
    background: var(--bg-color-neuro);
    box-shadow: var(--box-shadow-reverse);
}

.k-upload .k-dropzone {
    border-radius: 20px;
    background: var(--bg-color-neuro);
    box-shadow: var(--box-shadow-reverse);
}

    .k-upload .k-dropzone .k-upload-button {
        color: #7b8ab8;
        border-radius: 1rem;
        border: none;
        background-color: var(--bg-color-neuro);
        box-shadow: var(--box-shadow-neuro-sm);
        transition: background-color 0.15s ease-in-out, border 0.15s ease-in-out, box-shadow 0.15s ease-in-out, color 0.15s ease-in-out;
    }
    .k-upload .k-dropzone .k-upload-button:active{
        
        background-color: var(--bg-shadows-neuro);
        box-shadow: var(--box-shadow-reverse);
        transition: background-color 0.15s ease-in-out, border 0.15s ease-in-out, box-shadow 0.15s ease-in-out, color 0.15s ease-in-out;
    }


.form-control.k-disabled {
    background-color: var(--bg-shadows-neuro) !important;
}
.form-control:disabled, .form-control.k-disabled {
    background-color: var(--bg-color-neuro) !important;
    box-shadow: none;
}

input.form-control-sm {
    padding: 5px 10px !important;
}

button.k-icon-button {
    position: relative;
    color: #7b8ab8;
    border: none;
    background: var(--bg-color-neuro);
    /*box-shadow: var(--box-shadow-neuro);*/
    transition: background-color 0.15s ease-in-out, border 0.15s ease-in-out, box-shadow 0.15s ease-in-out, color 0.15s ease-in-out;
}

#ImportGrid{
    height:100%;
}

.text-upper {
    text-transform: uppercase;
}
/*--------3 container page---------------------------------------------------------------------------------------------------------------*/
#containerTablesBtns {
    width: auto;
    min-width: 200px;
}

#container2 {
    width: auto;
}

#container3 {
    width: 46%;
}

.container-test {
    width: 100%;
    margin: 0 10px;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
}

.resize-content {
    overflow-x: auto;
    width: 96%;
    height: 100%;
    margin-left: 2%;
    margin-right: 2%;
}

.resize-handle {
    position: absolute;
    border-radius: 50%;
    cursor: ew-resize;
    z-index: 10;
    top: 50%;
    transform: translateY(-50%);
}

.container + .resize-handle {
    left: -10px; /* Posiziona il pulsante tra il container corrente e quello a sinistra */
}

.resize-handle.resize-right {
    right: -30px; /* Posiziona il pulsante tra il container corrente e quello a destra */
}

.resize-handle.resize-left {
    left: -30px; /* Posiziona il pulsante tra il container corrente e quello a sinistra */
}

/*----------------------------------------------------------------------------------------------------------------------------------------*/



.accordion-body.neuro {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.accordion-button:focus{
    box-shadow:none!important;
}

.login-bg {
    background-image: linear-gradient(to left, rgba(232, 236, 242, 1) 5%, rgba(248,251,255,0) 0%), /* Gradiente in primo piano */
    linear-gradient(rgba(205, 217, 250, 0.5), rgba(205, 217, 250, 0.5)), /* Overlay colore traslucido */
    url('../Images/headerbg.png');
    background-size: cover;
    background-position: center;
}

.k-grid-content .k-grid-header {
    background-color: #b9d3f9 !important;
}

/*-------------------------------------------------------------------------------------------------------------*/

.Cursor {
    pointer-events: none;
    position: fixed;
    display: block;
    border-radius: 50%;
    transform-origin: center center;
    mix-blend-mode: multiply;
    top: 0;
    left: 0;
    z-index: 10000;
    filter: url("#goo");
}

    .Cursor span {
        position: absolute;
        display: block;
        width: 30px;
        height: 30px;
        border-radius: 30px;
        background-color: rgb(107, 119, 157);
        transform-origin: center center;
        transform: translate(-50%, -50%);
    }

@keyframes rotating {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

/*html, body, button, a, input, select , div,span,label{
    cursor: none !important;
}*/

#FormPersonalData input,
#FormPersonalData .k-dropdownlist,
#FormPersonalData textArea{
    background-color: var(--bg-light-neuro);
}

.btn-group .dropdown-menu.show {
    z-index: 100;
}

.accordion-button:hover {
    z-index: 1!important;
}

/*--IMPERSONATION BANNER-----------*/

.impersonation-banner {
    position: fixed;
    bottom: 24px;
    right: 24px;
    z-index: 9999;
    background-color: rgba(33, 33, 33, 0.85); /* semitrasparente dark */
    color: white;
    padding: 16px 20px;
    border-radius: 12px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.25);
    font-size: 14px;
    max-width: 300px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 8px;
}

    .impersonation-banner form button {
        background-color: #ffffff;
        color: #000000;
        border: none;
        padding: 6px 12px;
        border-radius: 6px;
        font-weight: 500;
        cursor: pointer;
        transition: background-color 0.2s ease;
    }

        .impersonation-banner form button:hover {
            background-color: #f0f0f0;
        }

/*---------------------------------------------*/